commit:     51f6123ec229f42faa5ae3e0dd85ddcfc382cf01
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Fri Nov 27 15:20:58 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Nov 27 15:20:58 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51f6123e

dev-python/jupyter_client: Import from science overlay

Package-Manager: portage-2.2.20.1

 dev-python/jupyter_client/Manifest                 |  1 +
 .../jupyter_client/jupyter_client-4.1.1.ebuild     | 37 ++++++++++++++++++++++
 dev-python/jupyter_client/metadata.xml             | 14 ++++++++
 3 files changed, 52 insertions(+)

diff --git a/dev-python/jupyter_client/Manifest 
b/dev-python/jupyter_client/Manifest
new file mode 100644
index 0000000..8f39d7e
--- /dev/null
+++ b/dev-python/jupyter_client/Manifest
@@ -0,0 +1 @@
+DIST jupyter_client-4.1.1.tar.gz 250227 SHA256 
ff1ef5c6c3031a62db46ec6329867b4cb1595e6102a7819b3b5252b0c524bdb8 SHA512 
08104fef5fd2522944ac5f1b2140a8267ffd97b0dba518f9fa792c08102ff8dbc4def592150433dfd893aed3596876ff254c9ea17b9b2e7a9622f773bd9d2606
 WHIRLPOOL 
d7164a07a43c5d6cd78b30bedb6ec8e8bc367cca4ddf920fee27edc9337d6f1124ae840546d90d47ad1c0a84bd1677e452925c022cebfa5556c499f7fa8ee18d

diff --git a/dev-python/jupyter_client/jupyter_client-4.1.1.ebuild 
b/dev-python/jupyter_client/jupyter_client-4.1.1.ebuild
new file mode 100644
index 0000000..89862c0
--- /dev/null
+++ b/dev-python/jupyter_client/jupyter_client-4.1.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Jupyter protocol implementation and client libraries"
+HOMEPAGE="http://jupyter.org";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+       dev-python/traitlets[${PYTHON_USEDEP}]
+       dev-python/jupyter_core[${PYTHON_USEDEP}]
+       >=dev-python/pyzmq-14.4.0[${PYTHON_USEDEP}]
+       "
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/coverage[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' 
python2_7)
+               dev-python/ipykernel[${PYTHON_USEDEP}]
+       )
+       "
+
+python_test() {
+       nosetests --with-coverage jupyter_client || die
+}

diff --git a/dev-python/jupyter_client/metadata.xml 
b/dev-python/jupyter_client/metadata.xml
new file mode 100644
index 0000000..6c56959
--- /dev/null
+++ b/dev-python/jupyter_client/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <herd>sci</herd>
+  <longdescription>
+    Contains the reference implementation of the Jupyter protocol. It
+    also provides client and kernel management APIs for working with
+    kernels. It also provides the jupyter kernelspec entrypoint for
+    installing kernelspecs for use with Jupyter frontends.
+  </longdescription>
+  <upstream>
+    <remote-id type="pypi">jupyter_client</remote-id>
+  </upstream>
+</pkgmetadata>

Reply via email to